All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.deployment
Class ConsumedResource

    com.sas.services.deployment.ConsumedResource

All Implemented Interfaces:
  ConsumedResourceInterface, java.lang.Cloneable

    public final class ConsumedResource

implements java.lang.Cloneable, ConsumedResourceInterface

A service configuration's resource which can be used by a `Consumer`.

Since:
  9.2

Constructor Summary
`ConsumedResource(java.lang.String resourceID, java.lang.String resourceName, java.lang.String resourceType, int resourceTypeCode, java.lang.String resourceTypeLocalized, boolean isRequired)` Constructs a consumed resource.

Method Summary
`java.lang.Object` | `clone()` Clones the resource.
`java.lang.String` | `getLocalizedResourceType()` Gets a localized value describing the resource's type.
`java.lang.String` | `getLocalizedResourceTypeAndValue()` Gets a localized value describing the resource's type and value.
`java.lang.String` | `getResourceID()` Gets the id that uniquely identifies the resource within a service's configuration.
`java.lang.String` | `getResourceType()` Gets a value describing the resource's type.
`int` | `getResourceTypeCode()` Gets the code describing the resource's type.
`java.lang.String` | `getResourceValue()` Gets the value used to identify the service configuration resource.
`boolean` | `isRequired()` Determines if this resource is required by the service's configuration.

Constructor Detail

### ConsumedResource

    public ConsumedResource(java.lang.String resourceID,
                            java.lang.String resourceName,
                            java.lang.String resourceType,
                            int resourceTypeCode,
                            java.lang.String resourceTypeLocalized,
                            boolean isRequired)

  Constructs a consumed resource.

  Parameters:
    `resourceID` - Unique identifier for a service configuration's resource.
    `resourceName` - Service configuration resource's name.
    `resourceType` - Service configuration resource's type.
    `resourceTypeCode` - Enumeration code for a service configuration resource's type.
    `resourceTypeLocalized` - Localized string representing the service configuration resource's type.
    `isRequired` - `true` if this resource is always required by the service's configuration.

Method Detail

### getResourceID

    public java.lang.String getResourceID()

  Description copied from interface: `ConsumedResourceInterface`
  Gets the id that uniquely identifies the resource within a service's configuration.

  Specified by:
    `getResourceID` in interface `ConsumedResourceInterface`
  Returns:
    Resource's ID.

### getResourceValue

    public java.lang.String getResourceValue()

  Description copied from interface: `ConsumedResourceInterface`
  Gets the value used to identify the service configuration resource.

  Specified by:
    `getResourceValue` in interface `ConsumedResourceInterface`
  Returns:
    Service configuration resource's value.

### getLocalizedResourceType

    public java.lang.String getLocalizedResourceType()

  Description copied from interface: `ConsumedResourceInterface`
  Gets a localized value describing the resource's type.

  Specified by:
    `getLocalizedResourceType` in interface `ConsumedResourceInterface`
  Returns:
    Resource's type. For example, a Logging Service configuration's resource types would be localized values for "Context", "Output", and "Renderer".

### getLocalizedResourceTypeAndValue

    public java.lang.String getLocalizedResourceTypeAndValue()

  Description copied from interface: `ConsumedResourceInterface`
  Gets a localized value describing the resource's type and value.

  Specified by:
    `getLocalizedResourceTypeAndValue` in interface `ConsumedResourceInterface`
  Returns:
    Resource's type. For example, a Logging Service configuration's resource types would be localized values for
    - "Context : com.sas.services"
    - "Output : A1"
    - "Renderer: com.sas.MyRenderer"

### getResourceType

    public java.lang.String getResourceType()

  Description copied from interface: `ConsumedResourceInterface`
  Gets a value describing the resource's type.

  Specified by:
    `getResourceType` in interface `ConsumedResourceInterface`
  Returns:
    Resource's type. For example, a Logging Service configuration's resource types would be "Context", "Output", and "Renderer".

### getResourceTypeCode

    public int getResourceTypeCode()

  Description copied from interface: `ConsumedResourceInterface`
  Gets the code describing the resource's type.

  Specified by:
    `getResourceTypeCode` in interface `ConsumedResourceInterface`
  Returns:
    Resource's type code.

### isRequired

    public boolean isRequired()

  Description copied from interface: `ConsumedResourceInterface`
  Determines if this resource is required by the service's configuration.

  Specified by:
    `isRequired` in interface `ConsumedResourceInterface`
  Returns:
    `true` if this resource is required by the service's configuration.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Description copied from interface: `ConsumedResourceInterface`
  Clones the resource.

  Specified by:
    `clone` in interface `ConsumedResourceInterface`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    Clone of this resource.
  Throws:
    `java.lang.CloneNotSupportedException`

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.